Subject: Re: [PATCH] Documentation/git-bundle.txt: Dumping contents of any bundle

From: [email-masked]
Date: Fri, 02 Jan 2009 06:12:56 +0800

JK> Maybe it would be worth adding an option to dump the uncompressed
JK> deltas to a file or directory so you could run "strings" on them
JK> to recover some of the data.

I got as far as these wheezy little bytes,
$ ls ??/*|tr -d /|sed q|xargs git cat-file tree|perl -pwe 's/[^\0]+[\0]//'|hd
00000000  ae 83 2f 22 45 89 2d dd  e5 22 13 57 46 64 48 b4  |../"E.-..".WFdH.|
00000010  09 77 51 42                                       |.wQB|
before I ran out of tools to crack it. It must be in some standard git
gzip format. There should be a command line tool to crack it with
provided in the git suite.

Anyways, one day some forensics department will need to crack one of
these things, and I want the instructions available.

JS> Just for the record: this is in so many ways not a commit message I want
JS> to have in git.git.  I hope it is not applied.
Is that where they end up? Oops, please reword it for me, anybody.